#
# spec file for package kanghooru 
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#



Name:           javakanghooru
Summary:        Realitzar escaneig automàtic a qualsevol programa 
Group:          Education
Version:        2
Release:        11.1
License:        GPL
Url:            http://www.xtec.es/~jlagares/eduespe.htm
BuildArch:      noarch
Requires:       java 
BuildRequires:  update-desktop-files unzip
Source:         %{name}.zip
Source1:        %{name}.png
Source2:        %{name}.desktop
Source3:	JavaKanghooru.bash	
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define         installpath %{_datadir}/java/%{name}

%description
Realitzar escaneig automàtic a qualsevol programa

%prep
mkdir -p /usr/src/packages/BUILD/javakanghooru
cp %SOURCE0 /usr/src/packages/BUILD/javakanghooru/
cd /usr/src/packages/BUILD/javakanghooru
unzip %SOURCE0

%build

%install
export NO_BRP_CHECK_BYTECODE_VERSION="true"
mkdir -p %buildroot/%installpath
rm -rf javakanghooru/JavaKanghooru/source
cp javakanghooru/JavaKanghooru/* %buildroot/%installpath/
chmod +x %buildroot/%installpath/JavaKanghooru.bash

# install menu entry
install -D -m644 %SOURCE1 %buildroot/%_datadir/pixmaps/%{name}.png
install -D -m644 %SOURCE2 %buildroot/%_datadir/applications/%{name}.desktop
install -m755 %SOURCE3 %buildroot/%installpath/

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%attr(755,root,root) 
%dir %{installpath}
%{installpath}/*
%_datadir/applications/%{name}.desktop
%_datadir/pixmaps/%{name}.png

%changelog
* Tue Feb 08 2011 - Jordi Bruguera i Cortada <jbruguera@itechgrup.com>
- Made bash start script executable and path added.
* Fri Oct 22 2010 - David Lara <dlara@espherica.com>
- Updated to version 4.6
- Rebuild for Linkat 4
* Tue  May 05 2009 - <pablo.panx@gmail.com>    
- First release for Linkat 3
